<?php

require '../conexao/conexao.php';

function get_produto($grupo)
{
    global $connection;
    $grupo = $grupo ? implode(',', array_map(function ($item) {
        return "'" . addslashes(trim($item)) . "'";
    }, explode(',', $grupo))) : 'NULL';

    $query = "SELECT prod.cdpro, prod.descr FROM FC03000 prod WHERE prod.inddel = 'N'";

    if (!empty($grupo) && $grupo !== "'Todos'") {
        $query .= " AND prod.grupo IN ($grupo)";
    }

    $stmt = ibase_prepare($connection, $query);
    $result = ibase_execute($stmt);

    if ($result === false) {
        error_log('Erro na consulta: ' . ibase_errmsg());
        echo json_encode(['error' => 'Erro na consulta.']);
        exit;
    }

    $produtos = [];
    while ($row = ibase_fetch_assoc($result)) {
        $row['DESCR'] = mb_convert_encoding($row['DESCR'], 'UTF-8', 'ISO-8859-1');
        $produtos[] = $row;
    }

    return $produtos;
}

if (isset($_POST['grupo'])) {
    $grupo = $_POST['grupo'];
    $produtos = get_produto($grupo);

    header('Content-Type: application/json');
    echo json_encode($produtos);
    exit;
}
